Skip to main content
PATCH
/
virtual-wallets
/
{walletId}
/
set-enabled
curl -X PATCH "https://api.cryptomate.me/virtual-wallets/vw_a1b2c3d4-e5f6-4a7b-8c9d-0e1f2a3b4c5d/set-enabled" \
  -H "X-API-KEY: $CRYPTOMATE_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "enabled": false
  }'
{
  "id": "vw_a1b2c3d4-e5f6-4a7b-8c9d-0e1f2a3b4c5d",
  "alias": "Trading Wallet",
  "client_id": "client_xyz789",
  "wallet_address": "0x742d35Cc6634C0532925a3b844Bc9e7595f0bEb",
  "blockchain": "POLYGON",
  "enabled": false
}
Sets the enabled status of a virtual wallet. Disabled wallets cannot be used for transactions. Requires an API key with access level 2 or higher.

Path parameters

walletId
string
required
Unique identifier of the virtual wallet.

Body

enabled
boolean
required
Whether the wallet should be enabled.

Response

id
string
Unique virtual wallet identifier.
alias
string
Wallet alias.
client_id
string
Associated client identifier.
wallet_address
string
On-chain wallet address.
blockchain
string
Blockchain network.
enabled
boolean
Updated enabled status.
curl -X PATCH "https://api.cryptomate.me/virtual-wallets/vw_a1b2c3d4-e5f6-4a7b-8c9d-0e1f2a3b4c5d/set-enabled" \
  -H "X-API-KEY: $CRYPTOMATE_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "enabled": false
  }'
{
  "id": "vw_a1b2c3d4-e5f6-4a7b-8c9d-0e1f2a3b4c5d",
  "alias": "Trading Wallet",
  "client_id": "client_xyz789",
  "wallet_address": "0x742d35Cc6634C0532925a3b844Bc9e7595f0bEb",
  "blockchain": "POLYGON",
  "enabled": false
}